WordPress.org

Forums

Why don't my Widgets work (7 posts)

  1. ferrers
    Member
    Posted 6 years ago #

    My widgets just will not appear in my sidebar.

    This only started to happen when I changed my theme to Siteground-wp55 1.0.

    Does anyone know how to fix this?

    Please!

  2. Samuel B
    moderator
    Posted 6 years ago #

    is the theme's sidebar.php set up for the dynamic sidebar?
    look for this code
    if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>

  3. ferrers
    Member
    Posted 6 years ago #

    Thanks samboll.

    The code you suggest - if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>

    does NOT exist in my Theme Editor.

    I have tried inserting it in the Themes Templates sidebar.php box but all that happens is that the code text appears in the sidebar on my site.

    Have I put the code in the wrong place?

    D.

  4. Samuel B
    moderator
    Posted 6 years ago #

    somewhere near the top before all the calls start

    <div id="sidebar">
    		<ul>
    			<?php 	/* Widgetized sidebar, if you have the plugin installed. */
    					if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
    			<li>
    				<?php include (TEMPLATEPATH . '/searchform.php'); ?>
    			</li>

    more widgets
    http://widgets.wordpress.com/

  5. ferrers
    Member
    Posted 6 years ago #

    When I paste in the code you suggest into my sidebar.php I get this message on my website and all the text disappears:

    Parse error: syntax error, unexpected $end in /home/davidfer/public_html/wp-content/themes/siteground-wp55/sidebar.php on line 41

  6. Samuel B
    moderator
    Posted 6 years ago #

    hmmm...how old is your theme? wp version 2.6.3 doesn't need a widget plugin - what version do you use?

    might try installing the plugin
    http://automattic.com/code/widgets/

  7. ferrers
    Member
    Posted 6 years ago #

    I am up to date with wp 2.6.3

    The automattic widgets plugin will not activate. I guess because the wp version does not need it.

    Any other ideas, Please, please, please?

    D.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags